CentOS6/7使用Webtatic yum包管理安装PHP5.5/5.6/7.0/7.1/7.2

作为Web服务器来说,我还是更喜欢使用CentOS作为操作系统的,尤其是CentOS7,我个人的以及公司的,我能决定的都选的是CentOS7,毕竟稳定,还熟悉。

但是有一点不方便的是,CentOS6/7自带的一些软件包版本都太低了,有的明显不符合我们的需求,比如说,CentOS7自带的PHP还是PHP5.4,但现在(2018-03),PHP官方最新的稳定版是7.2,一些对PHP版本本身有需求的软件没办法运行在PHP5.4,比如说Laravel,我们还是要想办法升级PHP的版本。

虽然很多资料都是引导我们自行编译,但是从我个人使用Linux的建议来说,除非是在满足不了我们的需求不得不自行编译以外,我个人是强烈建议使用包管理器安装所需要的包。

一方面来说,编译各种开源软件需要安装一大堆依赖,这些依赖可能用一次就不用了,但是又不敢直接卸载,万一卸载错了,会导致莫名其妙的问题,花时间去修复的话是在不值得;其次,自行编译的软件包,后续升级要手动或者用一键脚本一个个去升级,但是用包管理器安装的话,我们只需用包管理器自带的升级命令升级即可;再者,我们自行编译,我想大多数人都没有那些开源包仓库维护者熟悉整个系统及各个软件包及想对应的依赖,我个人是觉得,我们应该把时间花在更有意义的事情上,专业的事让专业的人去做。

说到这,我们PHP有个非官方的但是比较成熟的第三方源,可以安装从PHP5到PHP7的各个子版本的PHP,不用自行编译,只需添加相关的源,然后用包管理器就能完成安装。

首先,不管是CentOS6还是CentOS7,需要启用Webtatic源,都需要先启用EPEL源:

yum install epel-release -y

然后启用webstatic源:
CentOS6:

rpm -Uvh https://mirror.webtatic.com/yum/el6/latest.rpm

CentOS7:

rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm

没错,就这么简单两步就能启用webstatic源了,根据查看软件包,我发现这个webstatic源提供了如下组件:

CentOS7:
PHP: 5.5 5.6 7.0 7.1 7.2
Nginx: 1.10+(目前是1.12.1)
CentOS6:
PHP: 5.5 5.6 7.0 7.1
MySQL: MySQL 5.5

如上版本,如果想要查看具体有哪些包,可以用软件包搜索的办法,比如说,查看所有的PHP5.6的包:

yum search php56w

或者直接:

yum search php5

更加简单粗暴的,直接到这里查看:

https://repo.webtatic.com/yum/

来自webstatic的包,软件包后面都带一个w字符,想要那个包直接搜索就行。

个人来说,我还是挺喜欢Webstatic源的,能直接包管理安装各个版本的PHP,这个博客包括公司的各个项目都使用了Webstatic,程序稳定运行中,如果你想和我一样不想把时间花到折腾服务器运行环境中,可以考虑使用Webstatic。

“CentOS6/7使用Webtatic yum包管理安装PHP5.5/5.6/7.0/7.1/7.2”的2个回复

  1. 发现现在很多人都用Linuxvps和服务器,感觉到现在还只会用主机的人好可怕

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注